Subject: [alpine-aports] [PATCH 2/2] community/cassandra-cpp-driver: moved from testing

From: Valery Kartel <[email-masked]>
Date: Wed, 22 Mar 2017 01:02:19 +0200

- would be need to build community/php7-cassandra
---
 community/cassandra-cpp-driver/APKBUILD | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)
 create mode 100644 community/cassandra-cpp-driver/APKBUILD

diff --git a/community/cassandra-cpp-driver/APKBUILD b/community/cassandra-cpp-driver/APKBUILD
new file mode 100644
index 0000000000..f48a46aea7
--- /dev/null
+++ b/community/cassandra-cpp-driver/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Gennady Feldman <[email-masked]>
+# Maintainer: Gennady Feldman <[email-masked]>
+pkgname=cassandra-cpp-driver
+_pkgreal=cpp-driver
+pkgver=2.6.0
+pkgrel=0
+pkgdesc="Cassandra CPP Driver"
+url="http://datastax.github.io/cpp-driver/"
+arch="x86_64 x86"
+license="ASL 2.0"
+depends=
+makedepends="cmake make libressl-dev libuv-dev"
+subpackages="$pkgname-dev"
+source="$_pkgreal-$pkgver.tar.gz::https://github.com/datastax/cpp-driver/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+build() {
+	mkdir -p "$builddir"/build
+	cd "$builddir"/build
+	cmake \
+		-DCMAKE_BUILD_TYPE=RELEASE \
+		-DCASS_BUILD_STATIC=ON \
+		-DCMAKE_INSTALL_PREFIX:PATH=/usr \
+		-DCMAKE_INSTALL_LIBDIR=lib .. \
+		|| return 1
+	make
+}
+
+package() {
+	make -C "$builddir"/build DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="ea04859ebc1f472e654cf7d2e93e57a700de7180307eb4b6aa4b5d6941b56a666103ddd93f2821cd055fcb95658c0ab876d001aa625ffb29c2ce94c034dc8a04  cpp-driver-2.6.0.tar.gz"
-- 
2.12.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---